commit:     d41d3cbdc096f05906637b0be216b3539e3ad1f5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 24 03:23:38 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 24 03:32:02 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d41d3cbd

dev-python/inline-snapshot: Bump to 0.25.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/inline-snapshot/Manifest                |  1 +
 .../inline-snapshot/inline-snapshot-0.25.0.ebuild  | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/inline-snapshot/Manifest 
b/dev-python/inline-snapshot/Manifest
index 787ac52ede6f..2a98568c6109 100644
--- a/dev-python/inline-snapshot/Manifest
+++ b/dev-python/inline-snapshot/Manifest
@@ -1,2 +1,3 @@
 DIST inline_snapshot-0.23.2.tar.gz 260704 BLAKE2B 
db40ec4d77acbadc1cba2772bcdbfdd284f5bb97930e7101a4f9f2cfae5ef53d6084295e11a2a6c23ac736613b0733000222a2f3914c314ed9f2dd0027cd02cc
 SHA512 
af91622c7722faa54c0a2a12c5f427748243dbf4f019aeeca125db0244377daefaa236f4bc5cf3bc65b21215d97923aebee2ac717bea7afd181c4ec515142cc3
 DIST inline_snapshot-0.24.0.tar.gz 263374 BLAKE2B 
4d20f973ceae3f138b5f709cf636c8e82ba7d7e3fa2cb8288729f369ef243e9e8155b30b7b9d52758bc1e76ef91badb264f1b5b5dfcb3d91cbf6d170419d5d2e
 SHA512 
d523f29af2ff6026e21fd3c24a6c222784d0db0983fd4a906b852c3d0ec38016eb1df373b4873ae99cb16e7a5e94d582ed6df6803a83d7da244a895a70f37ba9
+DIST inline_snapshot-0.25.0.tar.gz 343422 BLAKE2B 
09888133a785cb0645b374c58c323b7711ddd6169a47242914031d50600c6382f94aa9d36b091ea64079a705d074d6348a9bcbe93f94553fd09b57e0c216669e
 SHA512 
f20e559c2d61d980d4e0260d8ab275a2c46458f14ac945a66a422b6fc38043fae517cb3a01b71a6a7167b4e442c8ee73ec91661b804cbc2f31e4432d758192c4

diff --git a/dev-python/inline-snapshot/inline-snapshot-0.25.0.ebuild 
b/dev-python/inline-snapshot/inline-snapshot-0.25.0.ebuild
new file mode 100644
index 000000000000..895c78a56b0d
--- /dev/null
+++ b/dev-python/inline-snapshot/inline-snapshot-0.25.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3_11 python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Create and update inline snapshots in your Python tests"
+HOMEPAGE="
+       https://15r10nk.github.io/inline-snapshot/
+       https://github.com/15r10nk/inline-snapshot/
+       https://pypi.org/project/inline-snapshot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/asttokens-2.0.5[${PYTHON_USEDEP}]
+       >=dev-python/executing-2.2.0[${PYTHON_USEDEP}]
+       >=dev-python/pytest-8.3.4[${PYTHON_USEDEP}]
+       >=dev-python/rich-13.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/attrs[${PYTHON_USEDEP}]
+               >=dev-python/black-23.3.0[${PYTHON_USEDEP}]
+               >=dev-python/dirty-equals-0.7.0[${PYTHON_USEDEP}]
+               >=dev-python/hypothesis-6.75.5[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       dev-python/mypy[${PYTHON_USEDEP}]
+               ' 'python*')
+               >=dev-python/pydantic-2[${PYTHON_USEDEP}]
+               >=dev-python/pytest-freezer-0.4.8[${PYTHON_USEDEP}]
+               >=dev-python/pytest-mock-3.14.0[${PYTHON_USEDEP}]
+               >=dev-python/pytest-subtests-0.11.0[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-{freezer,mock,subtests,xdist} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # incorrect, dead and not actually used at all
+       # https://github.com/15r10nk/inline-snapshot/pull/268
+       sed -i -e '/uuid7/d' pyproject.toml || die
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # requires pyright
+               'tests/test_typing.py::test_typing_args[pyright]'
+               'tests/test_typing.py::test_typing_call[pyright]'
+               # TODO
+               tests/test_formating.py::test_format_command_fail
+       )
+
+       local -x COLUMNS=80
+       local -x PYTHONPATH=${S}/src
+       epytest -p pytest_mock
+}

Reply via email to